## python-django-test-migrations 1.3.0

=== Makefile ===
SHELL:=/usr/bin/env bash

.PHONY: lint
lint:
	poetry run mypy django_test_migrations
	poetry run flake8 .

.PHONY: unit
unit:
	# We need one more test run to make sure that `--nomigrations` work:
	poetry run pytest -p no:cov -o addopts="" --nomigrations
	# Real `pytest` execution:
	poetry run pytest

.PHONY: package
package:
	poetry check
	poetry run pip check

.PHONY: safety
safety:
	# Is not run by default, is a separate command.
	poetry run safety check --full-report

.PHONY: test
test: lint unit package

=== debian/changelog ===
python-django-test-migrations (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Run tests with --import-mode=importlib (closes: #1072607).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Sep 2024 13:51:59 +0100

python-django-test-migrations (1.3.0-2) unstable; urgency=medium

  * Source-only upload

 -- Jérémy Lal <kapouer@melix.org>  Mon, 15 Jan 2024 09:00:22 +0100

python-django-test-migrations (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: 1060430)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 11 Jan 2024 08:36:17 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-test-migrations
export PYBUILD_TEST_ARGS="--import-mode=importlib"

%:
	dh $@ --buildsystem=pybuild

## python-django-test-migrations 1.4.0

=== Makefile ===
SHELL:=/usr/bin/env bash

.PHONY: lint
lint:
	poetry run mypy django_test_migrations
	poetry run flake8 .

.PHONY: unit
unit:
  # We need one more test run to make sure that `--nomigrations` work:
  poetry run pytest -p no:cov -o addopts="" --nomigrations
	poetry run pytest

.PHONY: package
package:
	poetry check
	poetry run pip check

.PHONY: test
test: lint unit package

=== debian/changelog ===
python-django-test-migrations (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Oct 2024 11:47:46 +0000

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/wemake-services/django-test-migrations/tags .*/v?(\d\S*)\.tar\.gz debian

## python-django-test-migrations 1.5.0

=== Makefile ===
SHELL:=/usr/bin/env bash

.PHONY: format
format:
	poetry run ruff format
	poetry run ruff check

.PHONY: lint
lint:
	poetry run ruff check --exit-non-zero-on-fix --diff
	poetry run ruff format --check --diff
	poetry run mypy django_test_migrations
	poetry run flake8 .

.PHONY: unit
unit:
	# We need one more test run to make sure that `--nomigrations` work:
	poetry run pytest -p no:cov -o addopts="" --nomigrations
	poetry run pytest

.PHONY: package
package:
	poetry check
	poetry run pip check

.PHONY: test
test: lint unit package

=== debian/changelog ===
python-django-test-migrations (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 14:25:25 +0100

=== debian/control ===
Source: python-django-test-migrations
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-mock,
 python3-pytest-asyncio,
 python3-typing-extensions,
 python3-django,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-test-migrations
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-test-migrations.git
Homepage: https://github.com/wemake-services/django-test-migrations

Package: python3-django-test-migrations
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django
Description: Testing database migrations for Django
 This framework allows one to test migrations with respect to:
  * schema and data
  * forward and rollback
  * order, names
  * database configuration
 It also features fully typed annotations.
 .
 Django is a high-level Python web development framework.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-test-migrations
export PYBUILD_TEST_ARGS="--import-mode=importlib"
export DJANGO_DATABASE_NAME=test_db.sqlite3

%:
	dh $@ --buildsystem=pybuild
